/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.client.ui.uinfo;

import org.dive4elements.river.client.client.FLYSConstants;
import org.dive4elements.river.client.client.ui.AbstractSingleItemPanel;
import org.dive4elements.river.client.shared.model.DataList;

import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.Label;
import com.smartgwt.client.widgets.form.DynamicForm;
import com.smartgwt.client.widgets.form.fields.TextItem;
import com.smartgwt.client.widgets.layout.VLayout;

public class LoadSingleYearPanel extends AbstractSingleItemPanel {

    private static final long serialVersionUID = 1L;
    private boolean showHint = false;

    public LoadSingleYearPanel(final FLYSConstants msg) {
        super(new SingleBehaviour(msg));
    }

    public LoadSingleYearPanel(final FLYSConstants msg, final boolean showHint) {
        super(new SingleBehaviour(msg));
        this.showHint = showHint;
    }

    @Override
    protected String getDatakey() {
        return "singleyear";
    }

    @Override
    protected String errorForItemMsg() {
        return this.MSG.no_data_for_year();
    }

    @Override
    public Canvas createWidget(final DataList data) {
        final VLayout layout = new VLayout();

        final Label title = new Label(data.get(0).getDescription());
        title.setHeight("25px");

        final DynamicForm form = new DynamicForm();
        form.setNumCols(4);

        final TextItem inputItem = createInputItem("YEAR_INPUT");
        inputItem.setShowHint(this.showHint);
        inputItem.setHint(this.MSG.common_input_hint_year());
        inputItem.setShowHintInField(true);
        inputItem.setShowTitle(false);
        form.setFields(inputItem);

        layout.addMember(title);
        layout.addMember(form);

        return layout;
    }
}